Public Class frmStudent
  Dim Days(11) As Integer
  Dim Grade As String
  Dim MyStudent As Student
  Dim Loading As Boolean = True


  Private Sub btnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLoad.Click
    If dlgLoad.ShowDialog() = Windows.Forms.DialogResult.OK Then
      picStudent.Image = Image.FromFile(dlgLoad.FileName)
    End If
  End Sub

  Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
    Me.Close()
  End Sub

  Private Sub btnNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNew.Click
    'Blank out name and picture
    txtName.Text = ""
    picStudent.Image = Nothing
  End Sub

  Private Sub frmStudent_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    MyStudent = New Student
    'set numbers of days (0 index array)
    Days(0) = 31
    Days(1) = 28
    Days(2) = 31
    Days(3) = 30
    Days(4) = 31
    Days(5) = 30
    Days(6) = 31
    Days(7) = 31
    Days(8) = 30
    Days(9) = 31
    Days(10) = 30
    Days(11) = 31
    dudMonth.SelectedIndex = 0
    Loading = False
  End Sub
  Private Sub rdoGrade_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoGrade1.CheckedChanged, rdoGrade2.CheckedChanged, rdoGrade3.CheckedChanged, rdoGrade4.CheckedChanged, rdoGrade5.CheckedChanged, rdoGrade6.CheckedChanged
    Dim rdoGrade As RadioButton
    rdoGrade = CType(sender, RadioButton)
    Select Case rdoGrade.Text
      Case "Grade 1"
        MyStudent.Grade = "first"
      Case "Grade 2"
        MyStudent.Grade = "second"
      Case "Grade 3"
        MyStudent.Grade = "third"
      Case "Grade 4"
        MyStudent.Grade = "fourth"
      Case "Grade 5"
        MyStudent.Grade = "fifth"
      Case "Grade 6"
        MyStudent.Grade = "sixth"
    End Select
  End Sub

  Private Sub btnShow_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShow.Click
    Dim Is_Leap As Integer
    Dim M As Integer, D As Integer, Y As Integer
    'Check to make sure name entered
    If txtName.Text = "" Then
      MessageBox.Show("The profile requires a name.", "No Name Entered", MessageBoxButtons.OK, MessageBoxIcon.Error)
      txtName.Focus()
      Exit Sub
    Else
      MyStudent.Name = txtName.Text
    End If
    If rdoMale.Checked Then
      MyStudent.Sex = "Male"
    Else
      MyStudent.Sex = "Female"
    End If
    'Check for leap year and if February is current month
    If dudMonth.SelectedIndex = 1 And nudYear.Value Mod 4 = 0 And nudYear.Value Mod 100 <> 0 Then
      Is_Leap = 1
    Else
      Is_Leap = 0
    End If
    'Check to make sure current day doesn't exceed number of days in month
    If nudDay.Value > Days(dudMonth.SelectedIndex) + Is_Leap Then
      MessageBox.Show("Only" + Str(Days(dudMonth.SelectedIndex) + Is_Leap) + " days in " + CStr(dudMonth.SelectedItem), "Invalid Birth Date", MessageBoxButtons.OK, MessageBoxIcon.Error)
      Exit Sub
    End If
    'Get current date to compute age (could use date math here, but logic can also be used)
    M = CInt(Val(Format(Now, "MM"))) - 1 '0 index on array
    D = CInt(Val(Format(Now, "dd")))
    Y = CInt(Val(Format(Now, "yyyy")))
    MyStudent.Age = CInt(Y - nudYear.Value)
    If dudMonth.SelectedIndex > M Or (dudMonth.SelectedIndex = M And nudDay.Value > D) Then
      MyStudent.Age = MyStudent.Age - 1
    End If
    'Check for valid age
    If MyStudent.Age < 0 Then
      MessageBox.Show("Birth date is before current date.", "Invalid Birth Date", MessageBoxButtons.OK, MessageBoxIcon.Error)
      Exit Sub
    End If
    MessageBox.Show(MyStudent.StudentProfile, "Student Profile", MessageBoxButtons.OK)
  End Sub
End Class
