Option Strict On
Public Class frmFileTimes

  Private Sub drvFileTimes_SelectedValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles drvFileTimes.SelectedValueChanged
    'If drive changes, update directory
    dirFileTimes.Path = drvFileTimes.Drive
  End Sub

  Private Sub dirFileTimes_Change(ByVal sender As Object, ByVal e As System.EventArgs) Handles dirFileTimes.Change
    'If directory changes, update file path
    filFileTimes.Path = dirFileTimes.Path
  End Sub

  Private Sub btnTimes_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnTimes.Click
    Dim I As Integer
    Dim FName As String
    Dim HourCount(23) As Integer, Hour As Integer
    Dim TimeInfo As String
    'Initialize hour counts (24 is for no time info)
    For I = 0 To 24
      HourCount(0) = 0
    Next I
    'Cycle through all files, determining time (if any)
    For I = 0 To filFileTimes.Items.Count - 1
      'Get file name
      If Mid(filFileTimes.Path, Len(filFileTimes.Path), 1) = "\" Then
        FName = filFileTimes.Path + CStr(filFileTimes.Items.Item(I))
      Else
        FName = filFileTimes.Path + "\" + CStr(filFileTimes.Items.Item(I))
      End If
      'Get date/time info and retrieve hour
      Hour = CInt(Format(FileDateTime(FName), "HH"))
      HourCount(Hour) += 1
    Next I
    'Display counts in list box
    lstTimes.Items.Clear()
    lstTimes.Items.Add(Str(filFileTimes.Items.Count) + " Files:")
    For I = 0 To 23
      Select Case I
        Case 0
          TimeInfo = " 12 AM to 1 AM"
        Case 1 To 10
          TimeInfo = Str(I) + " AM to" + Str(I + 1) + " AM"
        Case 11
          TimeInfo = " 11 AM to 12 PM"
        Case 12
          TimeInfo = " 12 PM to 1 PM"
        Case 13 To 22
          TimeInfo = Str(I - 12) + " PM to" + Str(I - 11) + " PM"
        Case 23
          TimeInfo = " 11 PM to 12 AM"
      End Select
      TimeInfo = TimeInfo + "   " + "Count:" + Str(HourCount(I))
      lstTimes.Items.Add(TimeInfo)
    Next I
  End Sub
End Class
